Bug 1814 - [UPDATE REQUEST] [UPSTREAM UPDATE] sudo
: [UPDATE REQUEST] [UPSTREAM UPDATE] sudo
Status: RESOLVED FIXED
Product: Server Bugs
Classification: ROSA Server
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: Andrew Lukoshko
: ROSA Server Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-22 15:25 MSK by Andrew Lukoshko
Modified: 2013-06-17 11:12 MSD (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
alexander.petryakov: qa_verified+
dmitry.romashkin: secteam_verified+
andrew.lukoshko: published_server+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Lukoshko 2013-03-22 15:25:40 MSK
Update for sudo from RHEL6 upstream.

Advisory:
* Previously, the sudo utility executed commands directly and replaced the sudo
process. However, in a previous update, internal execution method of commands in
sudo changed and sudo now runs commands as child processes. This change in
behavior caused problems with custom scripts. This update adds the cmnd_no_wait
option; with it, the old behavior is restored and commands are executed directly
in the sudo process, thus fixing this bug.

https://rhn.redhat.com/errata/RHBA-2013-0619.html

Build lists:
https://abf.rosalinux.ru/build_lists/1026706
https://abf.rosalinux.ru/build_lists/1026707
Comment 1 Alexander Petryakov 2013-03-23 02:09:53 MSK
sudo-1.7.4p5-13.res6.1
**************** RHEL Advisory ****************
* Previously, the sudo utility executed commands directly and replaced the sudo
process. However, in a previous update, internal execution method of commands in
sudo changed and sudo now runs commands as child processes. This change in
behavior caused problems with custom scripts. This update adds the cmnd_no_wait
option; with it, the old behavior is restored and commands are executed directly
in the sudo process, thus fixing this bug.

https://rhn.redhat.com/errata/RHBA-2013-0619.html
***********************************************
QA Verified